aboutsummaryrefslogtreecommitdiff
path: root/rand/utils
diff options
context:
space:
mode:
authorDaniel Mueller <deso@posteo.net>2019-01-16 17:26:30 -0800
committerDaniel Mueller <deso@posteo.net>2019-01-16 17:26:30 -0800
commit8350ac6afb2d678b74581000a6aafe1994b72231 (patch)
tree2330da01a806921b3849c9e64d2b9f506495e2c0 /rand/utils
parentd6652b913b33e432a748187f9f5623cec1e9926e (diff)
downloadnitrocli-8350ac6afb2d678b74581000a6aafe1994b72231.tar.gz
nitrocli-8350ac6afb2d678b74581000a6aafe1994b72231.tar.bz2
Update nitrokey crate to 0.3.3
This change updates the nitrokey crate to version 0.3.3. Along with that change we update rand to 0.6.4 because rand 0.6.1 does not yet contain a publicly accessible rand_os. Note that we no longer require all crates in rand's workspace, but only rand_os and rand_core, which is a significant reduction in the number of lines of code compiled. Import subrepo nitrokey/:nitrokey at 7cf747d56ddc0b7eeedc3caf36dcc909907a171c Import subrepo rand/:rand at 4336232dda03323634b10ec72ddf27914aebc3a2
Diffstat (limited to 'rand/utils')
-rwxr-xr-xrand/utils/ci/install_cargo_web.sh15
-rw-r--r--rand/utils/ci/script.sh2
2 files changed, 17 insertions, 0 deletions
diff --git a/rand/utils/ci/install_cargo_web.sh b/rand/utils/ci/install_cargo_web.sh
new file mode 100755
index 0000000..b35f069
--- /dev/null
+++ b/rand/utils/ci/install_cargo_web.sh
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+set -euo pipefail
+IFS=$'\n\t'
+
+CARGO_WEB_RELEASE=$(curl -L -s -H 'Accept: application/json' https://github.com/koute/cargo-web/releases/latest)
+CARGO_WEB_VERSION=$(echo $CARGO_WEB_RELEASE | sed -e 's/.*"tag_name":"\([^"]*\)".*/\1/')
+CARGO_WEB_URL="https://github.com/koute/cargo-web/releases/download/$CARGO_WEB_VERSION/cargo-web-x86_64-unknown-linux-gnu.gz"
+
+echo "Downloading cargo-web from: $CARGO_WEB_URL"
+curl -L $CARGO_WEB_URL | gzip -d > cargo-web
+chmod +x cargo-web
+
+mkdir -p ~/.cargo/bin
+mv cargo-web ~/.cargo/bin
diff --git a/rand/utils/ci/script.sh b/rand/utils/ci/script.sh
index 33786f6..e8c1189 100644
--- a/rand/utils/ci/script.sh
+++ b/rand/utils/ci/script.sh
@@ -12,8 +12,10 @@ main() {
cross test --target $TARGET --manifest-path rand_isaac/Cargo.toml --features=serde1
cross test --target $TARGET --manifest-path rand_pcg/Cargo.toml --features=serde1
cross test --target $TARGET --manifest-path rand_xorshift/Cargo.toml --features=serde1
+ cross test --target $TARGET --manifest-path rand_xoshiro/Cargo.toml
cross test --target $TARGET --manifest-path rand_chacha/Cargo.toml
cross test --target $TARGET --manifest-path rand_hc/Cargo.toml
+ cross test --target $TARGET --manifest-path rand_os/Cargo.toml
}
# we don't run the "test phase" when doing deploys